<?php
namespace Sello\ChannelConnector;

if (!defined( 'ABSPATH' ) ) {
    exit;
}

class Product
{
    private $integrations;

    public function __construct($integrations)
    {
        $this->integrations = $integrations;
    }

    public function init()
    {
        add_action("trashed_post", [$this, "deleteProduct"]);
    }

    public function deleteProduct($productId)
    {
        $ccAccountId = get_option('cc_account_id');

        wp_remote_request(
            "https://wc-api.sello.io/products/".$ccAccountId."/".$productId,
            [
                "method" => "DELETE",
                "timeout" => 10
            ]
        );
    }
}
