<?php
namespace Sello\ChannelConnector;

if (!defined( 'ABSPATH' ) ) {
    exit;
}

class UpdatedProducts
{
    public function initApi()
    {
        register_rest_route(
            "wc-channelconnector/v1",
            "/updatedproducts", [
                "methods" => "GET",
                "callback" => [$this, "getUpdatedProducts"]
            ]
        );
    }

    public function getUpdatedProducts()
    {
        global $wpdb;

        $result = $wpdb->get_results( 
            $wpdb->prepare( 
                "SELECT ID FROM {$wpdb->prefix}posts WHERE post_type='product' AND post_modified_gmt > %s",
                $_GET['minDate']
            ),
            ARRAY_A
        );

        $productIds = array_map(function ($row) {
            return $row['ID'];
        }, $result);

        return new \WP_REST_Response(
            [
                "version" => CHANNELCONNECTOR_VERSION,
                "productIds" => $productIds
            ],
            200
        );
    }

}
